import { OnInit, TemplateRef } from '@angular/core';
import { AbstractControl } from '@angular/forms';
import { AnyArray, AnyObject } from '@ngify/types';
import { AnySchema } from '../../schemas';
import { SchemaType } from '../../schemas/interfaces';
import * as i0 from "@angular/core";
interface FluentFormColContentTemplateContext<T extends AnyObject | AnyArray> {
    /** 当前控件 */
    control: AbstractControl;
    /** 当前图示 */
    schema: AnySchema;
    /** 当前模型值 */
    model: T;
}
/**
 * @internal
 */
export declare class FluentFormColContentOutletComponent<T extends AnyObject | AnyArray> implements OnInit {
    protected readonly config: import("../../config").FluentConfig;
    protected readonly SchemaType: typeof SchemaType;
    private readonly viewContainerRef;
    templateRef: TemplateRef<FluentFormColContentTemplateContext<T>>;
    control: AbstractControl;
    schema: AnySchema;
    model: T;
    protected readonly helper: {
        label: {
            content: (label?: string | import("../../schemas").Label | undefined) => string | undefined;
            span: (label?: string | import("../../schemas").Label | undefined) => import("../../schemas").Cell | null | undefined;
            width: (label?: string | import("../../schemas").Label | undefined) => string | null;
        };
        tooltip: {
            content: (tooltip?: string | import("../../schemas").Tooltip | undefined) => string | TemplateRef<void> | undefined;
            icon: (tooltip?: string | import("../../schemas").Tooltip | undefined) => string | import("ng-zorro-antd/form").NzFormTooltipIcon | null | undefined;
        };
    };
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FluentFormColContentOutletComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FluentFormColContentOutletComponent<any>, "fluent-form-col-content-outlet", never, { "control": { "alias": "control"; "required": false; }; "schema": { "alias": "schema"; "required": false; }; "model": { "alias": "model"; "required": false; }; }, {}, never, never, true, never>;
}
export {};
